#
# spec file for package  (Version 1.0)
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# norootforbuild


Name:           intel_media_server_studio-sle12-x86_64
%define         product intel_media_server_studio-sle12-x86_64
Summary:        intel media server studio Driver Kit for SLE12 x86_64
Version:        1.0
Release:        4.1
License:        GPL-2.0+
Group:          System/Fhs
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
This is the intel media server studio Driver Kit for SLE12 x86_64

########### release package ###########
%package release
Provides:       %name-%version
Provides:       product() = intel_media_server_studio
Provides:       product(intel_media_server_studio) = %version-%release
Requires:       product_flavor(intel_media_server_studio)
Requires:       Mesa >= 10.4.3
Requires:       Mesa-libEGL1 >= 10.4.3
Requires:       Mesa-libGLESv2-2 >= 10.4.3
Requires:       Mesa-libGLESv2-2 >= 10.4.3
Requires:       Mesa-libglapi0 >= 10.4.3
Requires:       libgbm1 >= 10.4.3
Requires:       libdrm2 >= 2.4.60
Requires:       libdrm_intel1 >= 2.4.60
Requires:       libdrm_nouveau2 >= 2.4.60
Requires:       libdrm_radeon1 >= 2.4.60
Requires:       vaapi-tools >= 1.5.0
Requires:       vaapi-intel-driver >= 1.5.0
Requires:       xf86-video-intel >= 2.99.817

Summary:        intel media server studio Driver Kit for SLE12 x86_64


%description release
This is the intel media server studio Driver Kit for SLE12 x86_64 release


########### release-cd package ###########
%package release-cd
License:        GPL-2.0+
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(cd)
Provides:       product_flavor(intel_media_server_studio) = %version-%release
Summary:        intel media server studio Driver Kit for SLE12 x86_64
Requires:       product(SUSE_SLE) = 12


%description release-cd
This is the intel media server studio Driver Kit for SLE12 x86_64



%prep


%build

%install
rm -Rf $RPM_BUILD_ROOT
## Create release packages
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/intel_media_server_studio-sle12-x86_64-release-cd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/intel_media_server_studio-sle12-x86_64-release-cd/README << EOF
This package just exist just for providing the product flavor 'cd'.

EOF

mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/intel_media_server_studio-sle12-x86_64.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product id="intel_media_server_studio-sle12-x86_64" schemeversion="0">
  <vendor>SUSE PLDP: Intel Corporation</vendor>
  <name>intel_media_server_studio</name>
  <version>%{version}</version>
  <patchlevel>0</patchlevel>
  <release>%{release}</release>
  <arch>%{_target_cpu}</arch>
  <register>
    <target/>
    <release/>
    <repositories>
    </repositories>
  </register>
  <upgrades />
  <summary>intel media server studio Driver Kit for SLE12 x86_64</summary>
  <description>intel media server studio Driver Kit for SLE12 x86_64</description>
  <linguas />
  <urls></urls>
  <buildconfig>
    <producttheme>SLES</producttheme>
    <allowresolving>false</allowresolving>
  </buildconfig>
  <installconfig>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="intel_media_server_studio-sle12-x86_64-release" flag="EQ" version="1.0" release="%{release}" />
    <distribution>SUSE_SLE</distribution>
  </installconfig>
  <runtimeconfig />
</product>

EOF



%clean
rm -rf %buildroot

%files release
%defattr(644,root,root,755)
%dir /etc/products.d
/etc/products.d/*.prod

%files release-cd
%defattr(-,root,root)
%doc %{_defaultdocdir}/intel_media_server_studio-sle12-x86_64-release-cd



%changelog
